Package ngs

# Interface Pileup

All Superinterfaces:
  `PileupEvent`, `PileupEventIterator`

All Known Subinterfaces:
  `PileupIterator`

public interface Pileup extends PileupEventIterator
Represents a slice through a stack of Alignments at a given position on the Reference

- ## Field Summary

  ### Fields inherited from interface ngs.PileupEvent

  `alignment_minus_strand, alignment_start, alignment_stop, deletion, insertion, insertion_before_deletion, insertion_before_match, insertion_before_mismatch, intron_minus, intron_plus, intron_unknown, match, mismatch, normal_indel, read_gap, read_overlap, replacement`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getPileupDepth()`
  getPileupDepth
  `char`
  `getReferenceBase()`
  `long`
  `getReferencePosition()`
  getReferencePosition
  `String`
  `getReferenceSpec()`
  getReferenceSpec

  ### Methods inherited from interface ngs.PileupEvent

  `getAlignmentBase, getAlignmentId, getAlignmentPosition, getAlignmentQuality, getEventIndelType, getEventRepeatCount, getEventType, getFirstAlignmentPosition, getInsertionBases, getInsertionQualities, getLastAlignmentPosition, getMappingQuality`

  ### Methods inherited from interface ngs.PileupEventIterator

  `nextPileupEvent, resetPileupEvent`

- ## Method Details

  - ### getReferenceSpec

    String getReferenceSpec() throws ErrorMsg
    getReferenceSpec
    Returns:
      name of the Reference
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getReferencePosition

    long getReferencePosition() throws ErrorMsg
    getReferencePosition
    Returns:
      current position on the Reference
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getReferenceBase

    char getReferenceBase() throws ErrorMsg
    Returns:
      base at current Reference position
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getPileupDepth

    int getPileupDepth() throws ErrorMsg
    getPileupDepth
    Returns:
      the coverage depth at the current reference position
    Throws:
      `ErrorMsg` - upon an error accessing data